%define		plugin	check_chef_stale
Summary:	Nagios/Icinga plugin to check stale nodes in Chef
Name:		nagios-plugin-%{plugin}
Version:	0.3.0
Release:	1
License:	GPL v2
Group:		Networking
Source0:	https://github.com/glensc/monitoring-plugin-check_chef_stale/archive/v%{version}/%{plugin}-%{version}.tar.gz
# Source0-md5:	ff194884181964c092f24c47a5a50668
URL:		https://github.com/glensc/monitoring-plugin-check_chef_stale
Requires:	knife
Requires:	nagios-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
Alerting for stale nodes on Chef with Nagios/Icinga.

%prep
%setup -q -n monitoring-plugin-check_chef_stale-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
install -p %{plugin}.rb $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -p %{plugin}.cfg $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%changelog
* Thu Feb 04 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_chef_stale.git;a=log;h=master

* Thu Feb 04 2016 Elan Ruusamäe <glen@delfi.ee> 041bc52
- up to 0.3.0

* Wed Feb 03 2016 Elan Ruusamäe <glen@delfi.ee> 43a3deb
- update url

* Mon Sep 21 2015 Elan Ruusamäe <glen@delfi.ee> 53b3f9f
- v0.2.0: allow specifying extra search query

* Thu Apr 23 2015 Elan Ruusamäe <glen@delfi.ee> f7df6d9
- package README

* Thu Apr 23 2015 Elan Ruusamäe <glen@delfi.ee> 7865790
- new, version 0.1.1

